Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_allocation.cpp	(revision 5)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_allocation.cpp	(revision 15)
@@ -23,4 +23,5 @@
 
      in_CLOCK  = new SC_CLOCK           ("in_CLOCK");
+     in_NRESET = new SC_IN (Tcontrol_t) ("in_NRESET");
 
      in_PREDICT_VAL                 = new SC_IN (Tcontrol_t)     * [_param._nb_prediction     ];
@@ -161,5 +162,6 @@
 	
 	// Instantiation
-	(*(component_Branch_History_Table->in_CLOCK))        (*(in_CLOCK));
+	(*(component_Branch_History_Table->in_CLOCK ))        (*(in_CLOCK ));
+	(*(component_Branch_History_Table->in_NRESET))        (*(in_NRESET));
 
 	for (uint32_t i=0; i<_param._nb_prediction; i++)
@@ -196,4 +198,5 @@
 	// Instantiation
 	(*(component_Pattern_History_Table->in_CLOCK))        (*(in_CLOCK));
+	(*(component_Pattern_History_Table->in_NRESET))       (*(in_NRESET));
 	
 	for (uint32_t i=0; i<_param._nb_prediction; i++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_deallocation.cpp	(revision 5)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_deallocation.cpp	(revision 15)
@@ -21,4 +21,5 @@
 
     delete in_CLOCK;
+    delete in_NRESET;
 
     for (uint32_t i=0; i<_param._nb_prediction; i++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_body.cpp	(revision 5)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_body.cpp	(revision 15)
@@ -27,5 +27,6 @@
 	list_port_map.clear();
 
-	vhdl.set_body_component_port_map (list_port_map,"in_CLOCK","in_CLOCK");
+	vhdl.set_body_component_port_map (list_port_map,"in_CLOCK ","in_CLOCK ");
+	vhdl.set_body_component_port_map (list_port_map,"in_NRESET","in_NRESET");
 
 	for (uint32_t i=0; i<_param._nb_prediction; i++)
@@ -53,5 +54,6 @@
 	list_port_map.clear();
 
-	vhdl.set_body_component_port_map (list_port_map,"in_CLOCK","in_CLOCK");
+	vhdl.set_body_component_port_map (list_port_map,"in_CLOCK ","in_CLOCK ");
+	vhdl.set_body_component_port_map (list_port_map,"in_NRESET","in_NRESET");
 
 	for (uint32_t i=0; i<_param._nb_prediction; i++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_port.cpp	(revision 5)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_port.cpp	(revision 15)
@@ -20,5 +20,6 @@
     log_printf(FUNC,Two_Level_Branch_Predictor,"vhdl_port","Begin");
 
-    vhdl.set_port (" in_CLOCK" , IN, 1);
+    vhdl.set_port (" in_CLOCK ", IN, 1);
+    vhdl.set_port (" in_NRESET", IN, 1);
 
     for (uint32_t i=0; i<_param._nb_prediction; i++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_testbench_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_testbench_port.cpp	(revision 5)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_testbench_port.cpp	(revision 15)
@@ -20,4 +20,6 @@
   {
     log_printf(FUNC,Two_Level_Branch_Predictor,"vhdl_testbench_port","Begin");
+
+    _vhdl_testbench->set_port (" in_NRESET", IN, 1);
 
     for (uint32_t i=0; i<_param._nb_prediction; i++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_testbench_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_testbench_transition.cpp	(revision 5)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/src/Two_Level_Branch_Predictor_vhdl_testbench_transition.cpp	(revision 15)
@@ -25,4 +25,6 @@
 #endif    
 
+    _vhdl_testbench->add_input (PORT_READ( in_NRESET));
+    
     // In order with file Two_Level_Branch_Predictor_vhdl_testbench_port.cpp
     // Warning : if a output depend of a subcomponent, take directly the port of subcomponent
